Bug 181526 - Missing header files in kernel-xen-hypervisor-devel
Missing header files in kernel-xen-hypervisor-devel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-14 15:23 EST by hugh
Modified: 2008-01-19 23:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hugh 2006-02-14 15:23:30 EST
Description of problem:

Building an out of tree module for Domain 0 fails for lack of
xen/interface/xen.h and xen/foriegn_page.h.

Version-Release number of selected component (if applicable):

FC5 beta 2, yum update to kernel-xen-hypervisor-devel-2.6.15-1.1948_FC5

How reproducible:

Completely

Steps to Reproduce:
1. Build Domain 0, out of tree module, that references mempool.h
2.
3.
  
Actual results:

make -C /lib/modules/2.6.15-1.1948_FC5hypervisor/build
SUBDIRS=/root/hdasch/npiv-xen CONFIG_SCSI_LPFC=m modules
make[1]: Entering directory `/usr/src/kernels/2.6.15-1.1948_FC5-hypervisor-i686'
  CC [M]  /root/hdasch/npiv-xen/lpfc_mem.o
In file included from include/asm/page.h:71,
                 from include/asm/processor.h:13,
                 from include/linux/prefetch.h:14,
                 from include/linux/list.h:7,
                 from include/linux/wait.h:23,
                 from include/linux/mempool.h:7,
                 from /root/hdasch/npiv-xen/lpfc_mem.c:22:
include/asm-i386/mach-xen/mach_page.h:10:31: error: xen/interface/xen.h: No such
file or directory
include/asm-i386/mach-xen/mach_page.h:11:30: error: xen/foreign_page.h: No such
file or directory


Expected results:

Clean build.

Additional info:

Found the needed include files by installing the src.rpm:

rpm -ihv kernel-2.6.15-1.1948_FC5.src.rpm
rpmbuild -bp --target i686 /usr/src/redhat/SPECS/kernel-2.6.spec
cp -r /usr/src/redhat/BUILD/kernel-2.6.15/linux-2.6.15.i686/include/xen \
      /usr/src/kernels/2.6.15-1.1949_FC5-hypervisor-i686/include

Then the module builds clean.
Comment 1 Rahul Sundaram 2006-02-20 05:51:31 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Dave Jones 2006-10-16 16:56:30 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Jon Stanley 2008-01-19 23:38:40 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.